# ApplicationFramework
TKLCAF
TDF

# TDF_AttributeArray1 Class Reference

`#include <TDF_AttributeArray1.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_AttributeArray1 (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDF_AttributeArray1 (const Handle(TDF_Attribute)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(TDF_Attribute)&V)
Standard_EXPORT void | Destroy ()
| ~TDF_AttributeArray1 ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TDF_AttributeArray1 & | Assign (const TDF_AttributeArray1 &Other)
const TDF_AttributeArray1 & | operator= (const TDF_AttributeArray1 &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TDF_Attribute)&Value)
const Handle_TDF_Attribute & | Value (const Standard_Integer Index) const
const Handle_TDF_Attribute & | operator() (const Standard_Integer Index) const
Handle_TDF_Attribute & | ChangeValue (const Standard_Integer Index)
Handle_TDF_Attribute & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TDF_AttributeArray1 (const TDF_AttributeArray1 &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TDF_AttributeArray1::TDF_AttributeArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDF_AttributeArray1::TDF_AttributeArray1 | ( | const Handle(TDF_Attribute)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TDF_AttributeArray1::~TDF_AttributeArray1 | ( |  | ) | `[inline]`

Standard_EXPORT TDF_AttributeArray1::TDF_AttributeArray1 | ( | const TDF_AttributeArray1 & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TDF_AttributeArray1& TDF_AttributeArray1::Assign | ( | const TDF_AttributeArray1 & | Other | ) |

Handle_TDF_Attribute& TDF_AttributeArray1::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDF_AttributeArray1::Destroy | ( |  | ) |

Standard_EXPORT void TDF_AttributeArray1::Init | ( | const Handle(TDF_Attribute)& | V | ) |

Standard_Boolean TDF_AttributeArray1::IsAllocated | ( |  | ) | const

Standard_Integer TDF_AttributeArray1::Length | ( |  | ) | const

Standard_Integer TDF_AttributeArray1::Lower | ( |  | ) | const

void TDF_AttributeArray1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_AttributeArray1::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_AttributeArray1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TDF_Attribute& TDF_AttributeArray1::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_TDF_Attribute& TDF_AttributeArray1::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TDF_AttributeArray1& TDF_AttributeArray1::operator= | ( | const TDF_AttributeArray1 & | Other | ) | `[inline]`

void TDF_AttributeArray1::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TDF_Attribute)& | Value
| ) |

Standard_Integer TDF_AttributeArray1::Upper | ( |  | ) | const

const Handle_TDF_Attribute& TDF_AttributeArray1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TDF_AttributeArray1::isAllocated `[private]`

Standard_Integer TDF_AttributeArray1::myLowerBound `[private]`

Standard_Address TDF_AttributeArray1::myStart `[private]`

Standard_Integer TDF_AttributeArray1::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TDF_AttributeArray1.hxx